## org.apache.tools.ant.types
Class DirSet

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.AbstractFileSet
                        |
                        +--org.apache.tools.ant.types.DirSet

All Implemented Interfaces:
  java.lang.Cloneable, SelectorContainer

public class DirSet
extends AbstractFileSet

Subclass as hint for supporting tasks that the included directories instead of files should be used.

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`` `DirSet()`
`protected` `DirSet(DirSet dirset)`

Method Summary
`java.lang.Object` `clone()` Return a DirSet that has the same basedir and same patternsets as this one.

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet

`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDataTypeName, getDir, getDirectoryScanner, getRef, getSelectors, hasPatterns, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirSet

    public DirSet()

### DirSet

    protected DirSet(DirSet dirset)

Method Detail

### clone

    public java.lang.Object clone()

  Return a DirSet that has the same basedir and same patternsets as this one.

  Overrides:
    `clone` in class `java.lang.Object`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.